Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.shading
Class MaterialRef

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.pf.registry.ItemReference<Shader>
              de.grogra.imp3d.shading.ShaderRef
                  de.grogra.imp3d.shading.MaterialRef

All Implemented Interfaces:
  Manageable, Shareable, Scattering, Shader

Deprecated.

    @Deprecated
    public final class MaterialRef

extends ShaderRef

Nested Class Summary
`static class` | `MaterialRef.Type` Deprecated.

Field Summary
`static MaterialRef.Type` | `$TYPE` Deprecated.

Fields inherited from class de.grogra.pf.registry.ItemReference
`item, itemResolved, name$FIELD, object, objectResolved`

Fields inherited from interface de.grogra.ray.physics.Shader
`LAMBERTIAN_VARIANCE`

Fields inherited from interface de.grogra.ray.physics.Scattering
`DELTA_FACTOR, IS_NON_OPAQUE, MIN_UNUSED_FLAG, NEEDS_NORMAL, NEEDS_POINT, NEEDS_TANGENTS, NEEDS_TRANSFORMATION, NEEDS_UV, RANDOM_RAYS_GENERATE_ORIGINS`

Constructor Summary
`MaterialRef(java.lang.String name)` Deprecated.

Method Summary
`ManageableType` | `getManageableType()` Deprecated.

Methods inherited from class de.grogra.imp3d.shading.ShaderRef
`accept, computeBSDF, computeMaxRays, generateRandomRays, getAverageColor, getFlags, isTransparent, manageableWriteReplace, resolve, shade`

Methods inherited from class de.grogra.pf.registry.ItemReference
`createItem, equals, getName, hashCode, resolveItem, resolveObject`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, removeReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final MaterialRef.Type $TYPE

  Deprecated.

Constructor Detail

### MaterialRef

    public MaterialRef(java.lang.String name)

  Deprecated.

Method Detail

### getManageableType

    public ManageableType getManageableType()

  Deprecated.
  Specified by:
    `getManageableType` in interface `Manageable`
  Overrides:
    `getManageableType` in class `ShaderRef`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD